<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>For</title>
</head>

<body>
  <script>
    // --------------------------------------------
    // ----- Ülesanne 1
    // --------------------------------------------
    // Prindi ekraanile numbrid 7-st 17-ni, kasutades klassikalist for-tsüklit.

    // for (let i = 7; i <= 17; i++) {
    //   console.log(i)
    // }


    // --------------------------------------------
    // ----- Ülesanne 2
    // --------------------------------------------
    // Prindi ekraanile numbrid 17-st 1-ni, kasutades klassikalist for-tsüklit.

    // for (let i = 17; i >= 1; i--) {
    //   console.log(i)
    // }

    // const employees = [
    //   { firstName: 'Kadin', lastName: 'Ross', gender: 'F' },
    //   { firstName: 'Nayeli', lastName: 'Kent', gender: 'F' },
    //   { firstName: 'Arthur', lastName: 'Fritz', gender: 'M' },
    //   { firstName: 'Lainey', lastName: 'Goy', gender: 'F' },
    //   { firstName: 'Donovan', lastName: 'Benitez', gender: 'M' },
    //   { firstName: 'Tristen', lastName: 'Duke', gender: 'M' },
    //   { firstName: 'Aliya', lastName: 'Hester', gender: 'F' },
    //   { firstName: 'Chris', lastName: 'Washington', gender: 'M' },
    //   { firstName: 'Isabell', lastName: 'Park', gender: 'F' },
    // ]

    // let firstNamePropertyName = 'firstName'
    // for (let i = 0; i < employees.length; i++) {
    //   // console.log(employees[i][firstNamePropertyName])
    //   console.log(employees[i].firstName)
    // }

    // --------------------------------------------
    // ----- Ülesanne 3
    // --------------------------------------------
    // On antud massiiv isikutest.
    const persons = [
      { firstName: 'Kadin', lastName: 'Ross', gender: 'F' },
      { firstName: 'Nayeli', lastName: 'Kent', gender: 'F' },
      { firstName: 'Arthur', lastName: 'Fritz', gender: 'M' },
      { firstName: 'Lainey', lastName: 'Goy', gender: 'F' },
      { firstName: 'Donovan', lastName: 'Benitez', gender: 'M' },
      { firstName: 'Tristen', lastName: 'Duke', gender: 'M' },
      { firstName: 'Aliya', lastName: 'Hester', gender: 'F' },
      { firstName: 'Chris', lastName: 'Washington', gender: 'M' },
      { firstName: 'Isabell', lastName: 'Park', gender: 'F' },
    ]

    // 3.1 Prindi nende eesnimed ekraanile, kasutades foreach-tsüklit.

    // for (let person of persons) {
    //   console.log(person.firstName)
    // }

    // 3.2 Prindi ekraanile ainult naiste ees- ja perenimed.

    // for (let person of persons) {
    //   if (person.gender === 'F') {
    //     console.log(person.firstName + ' ' + person.lastName)
    //   }
    // }

      // 3.3 Prindi ekraanile kõigi isikute eesnimed, mis algavad "A" tähega. Kasuta selleks while-tsüklit.
      // Vihje: 1) .substr(0, 1); 2) .startsWith()

      // let personIndex = 0
      // while(personIndex < persons.length) {

      //   // if (persons[personIndex].firstName.startsWith('A')) {
      //   if (persons[personIndex].firstName.substr(0, 1) === 'A') {
      //     console.log(persons[personIndex].firstName)
      //   }

      //   personIndex++
      // }


      // 1) Küsime naissoost isikud
      // 2) Prindime nad kõik välja

      const women = persons.filter(p => p.gender === 'F')
      for(const w of women) {
        console.log(w.firstName, w.lastName)
      }

  </script>
</body>

</html>